

/* Preloader Vollbild */
#preloader {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
      background: linear-gradient(to right, #FFC0CB, white 50%, #FFC0CB),
            linear-gradient(to bottom, #FFC0CB, #FFC0CB);
  background-blend-mode: multiply;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    z-index: 9999;
}

/* Logo Stil */
.logo img {
    width: 220px;
    animation: pulse 1.6s infinite;
    margin-bottom: 15px;
}

/* Pulsieren Animation */
@keyframes pulse {
    0% {
        transform: scale(1);
        opacity: 1;
    }
    50% {
        transform: scale(1.1);
        opacity: 0.7;
    }
    100% {
        transform: scale(1);
        opacity: 1;
    }
}

/* Progressbar Container */
.progress-container {
    width: 550px;
    height: 8.5px;
    background-color: #FFF;
    border-radius: 5px;
    margin: 20px 0;
    overflow: hidden;
    border: 1px solid #FFF;
}

/* Progressbar */
.progress-bar {
    height: 100%;
    width: 0%;
    background-color: #FFC0CB;
    border-radius: 5px;
    transition: width 0.3s ease;
}

/* Prozentanzeige */
.percentage {
  margin-top: 45px;
    font-size: 36px;
    color: #FFF;
    overflow: hidden; /* Versteckt überfließenden Text */
    padding: 8px;
    border-radius: 50%;
}

/* Responsive Anpassungen */
@media (max-width: 600px) {
    .logo img {
        width: 180px;
    }

    .progress-container {
        width: 350px;
    }

    .percentage {
        font-size: 36px;
    }
}


/* Responsive Anpassungen */
@media (max-width: 400px) {
    .logo img {
        width: 180px;
    }

    .progress-container {
        width: 320px;
    }

    .percentage {
        font-size: 36px;
    }
}
